<?php 
	session_start();
	// mainīgo deklarācija
	$username = "";
	$email    = "";
	$errors = array(); 
	$_SESSION['success'] = "";
	//uztaisa unikālu kodu, kurš tiks izmantots e-pasta verificēšanai
	$code = substr(md5(uniqid(mt_rand(), true)) , 0, 20);
	
	//datubāzes konfigurācija
$dbservername = "localhost";
$dbusername = "gamizoge_admins";
$dbpassword = "^uuem[j6kjJ#";
$dbname = "gamizoge_Forums";

	// pieslēgties datubāzei
	$db = new mysqli($dbservername, $dbusername, $dbpassword, $dbname);

// reģistrēt lietotāju
	if (isset($_POST['reg_user'])) {
		// saņemt visas ievades vērtības no veidlapas
		$username = mysqli_real_escape_string($db, $_POST['username']);
		$email = mysqli_real_escape_string($db, $_POST['email']);
		$password_1 = mysqli_real_escape_string($db, $_POST['password_1']);
		$password_2 = mysqli_real_escape_string($db, $_POST['password_2']);
		// ja lietotājvārds ir tukšs, parāda kļūdu
		if (empty($username)) { array_push($errors, "Vajadzīgs lietotājvārds."); }else{ //pārbauda vai lietotājvārds jau nepastāv.
		$sql = "SELECT username FROM users WHERE username='$username'";
		$result = $db->query($sql);
		$row = $result->fetch_assoc();
	if ($row["username"] == $username){
		array_push($errors, "Lietotājvārds jau pastāv !");
			}}
			
		//pārbauda vai ir ievadīts e-pasts, un pārbauda, vai e-pasts jau netiek izmantots
		if (empty($email)) { array_push($errors, "Vajadzīgs E-Pasts."); }else{
		$sql = "SELECT email FROM users WHERE email='$email'";
		$result = $db->query($sql);
		$row = $result->fetch_assoc();
	if ($row["email"] == $email){
		array_push($errors, "E-pasts jau tiek izmantots !");
			}}
		
		
		// pārliecinās, ka veidlapa ir pareizi aizpildīta
		if (empty($password_1)) { array_push($errors, "Vajadzīga parole."); }

		if ($password_1 != $password_2) {
			array_push($errors, "Paroles nesakrīt.");
		}

		// reģistrēt lietotāju, ja veidlapā nav nevienas kļūdas
		if (count($errors) == 0) {
		    //šifrē paroli, pirms to saglabā datubāzē
			$password = md5($password_1);
			//liek datus datubāzē
			$query = "INSERT INTO users (username, email, password, unique_code, verified) 
					  VALUES('$username', '$email', '$password', '$code', 'N')";
			mysqli_query($db, $query);
            //forma priekš e-pasta, kā arī beigās tiek aizsūtīts e-pasts, ar kodu.
            $to = "$email";
             $subject = "Lūdzu apstipriniet savu kontu Extra-Gaming Forums"; 
              $txt = "Sveiki ! Lūdzu nokopējam kodu zemāk, ejiet atpakaļ uz Extra-Gaming Forums mājaslapu, spiežam uz Apstiprināt E-pastu, rakstam iekšā savu e-pastu un kodu, un būsiet gatavi !
              
              Jūsu kods ir = $code";
            $headers = "From: donotreply@gamingforever.xyz" ;
            mail($to,$subject,$txt,$headers);
            
            //ja pareizi ir viss izdarīts, tiekat uz nākamo lapu
			$_SESSION['username'] = $username;
			$_SESSION['success'] = "Jums tika aizsūtīts e-pasts ar kodu !";
			header('location: verify-email.php');
		}

	}

	// Lietotāja pieslēgšanās
	if (isset($_POST['login_user'])) {
	    //saglabā mainīgajos informāciju
		$username = mysqli_real_escape_string($db, $_POST['username']);
		$password = mysqli_real_escape_string($db, $_POST['password']);
		//$verified = mysqli_real_escape_string($db, $_POST['verified']);
		switch(true) { case true:
		    //parāda kļūdas, ja kautko neievada
		if (empty($username)) {
			array_push($errors, "Vajadzīgs lietotājvārds.");
			break;
		} 
		if (empty($password)) {
			array_push($errors, "Vajadzīga parole.");
			break;
		}
    // pārliecinās, vai ir verificēts e-pasts
	$sql = "SELECT verified FROM users WHERE username='$username'";
		$result = $db->query($sql);
		$row = $result->fetch_assoc();
	if ($row["verified"] == 'N'){
		array_push($errors, "Nav apstiprināts e-pasts !");
		break;
		}}
		//ja kļūdas ir 0, ta pārbauda vai viss ir pareizi
		if (count($errors) == 0) {
			$password = md5($password);
			$query = "SELECT * FROM users WHERE username='$username' AND password='$password'";
			$results = mysqli_query($db, $query);
            //ja viss ir pareizi bez kļūdām, tad ielogojas lapā index.php
			if (mysqli_num_rows($results) == 1) {
				$_SESSION['username'] = $username;
				$_SESSION['success'] = "Jūs tagad esiet pieslēdzies !";
				header('location: index.php');
			}else {
			    //ja nav pareiza kombinācija, vai kautkas nepareizi ir, tad parāda kļūdu
				array_push($errors, "Nepareiza lietotājvārda/paroles kombinācija.");
			}
		}
	}?>
